- Qt 6.7
- Qt Quick 3D
- C++ Classes
- QSSGRhiSamplerDescription
- Qt Quick 3D | Commercial or GPLv3

# QSSGRhiSamplerDescription Struct

QSSGRhiSamplerDescription. More...

Header: | #include <QSSGRhiSamplerDescription>
Since: | Qt 6.7

- List of all members, including inherited members

## Public Variables

QRhiSampler::AddressMode | hTiling
QRhiSampler::Filter | magFilter
QRhiSampler::Filter | minFilter
QRhiSampler::Filter | mipmap
QRhiSampler::AddressMode | vTiling
QRhiSampler::AddressMode | zTiling

## Detailed Description

Convenience class used to request a QRhiSampler from QtQuick3D internal cache.

Note: Samplers are owned by QtQuick3D.

See also QSSGRhiContext::sampler().

## Member Variable Documentation

### QRhiSampler::AddressMode QSSGRhiSamplerDescription::hTiling

The horizontal wrap mode.

See also QRhiSampler::AddressMode.

### QRhiSampler::Filter QSSGRhiSamplerDescription::magFilter

The magnification filter mode.

See also QRhiSampler::Filter and QRhiSampler::magFilter().

### QRhiSampler::Filter QSSGRhiSamplerDescription::minFilter

The minification filter mode.

See also QRhiSampler::Filter and QRhiSampler::minFilter().

### QRhiSampler::Filter QSSGRhiSamplerDescription::mipmap

The mipmap filtering mode.

See also QRhiSampler::Filter and QRhiSampler::mipmapMode().

### QRhiSampler::AddressMode QSSGRhiSamplerDescription::vTiling

The vertical wrap mode.

See also QRhiSampler::AddressMode.

### QRhiSampler::AddressMode QSSGRhiSamplerDescription::zTiling

The depth wrap mode.

See also QRhiSampler::AddressMode.